> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Helm Registry Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/helm/registries
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/registries:
    post:
      tags:
        - Helm API
      summary: Create Helm Registry Endpoint
      operationId: create_helm_registry_endpoint_api_v1_org_helm_registries_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateHelmChartRegistryRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateHelmChartRegistryResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateHelmChartRegistryRequest:
      properties:
        spec:
          $ref: '#/components/schemas/PlatformResourceSpecification'
      required:
        - spec
      title: CreateHelmChartRegistryRequest
      type: object
    CreateHelmChartRegistryResult:
      properties:
        errors:
          default: []
          items:
            $ref: '#/components/schemas/ResourceError'
          title: Errors
          type: array
      title: CreateHelmChartRegistryResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PlatformResourceSpecification:
      properties:
        bitbucket_cloud_accessible_repositories_scraper:
          anyOf:
            - $ref: '#/components/schemas/BitbucketCloudAccessibleRepositoriesScraper'
            - type: 'null'
        bitbucket_cloud_credential:
          anyOf:
            - $ref: '#/components/schemas/BitbucketCloudCredential'
            - type: 'null'
        bitbucket_cloud_repositories:
          anyOf:
            - items:
                $ref: '#/components/schemas/BitbucketCloudRepository'
              type: array
            - type: 'null'
          title: Bitbucket Cloud Repositories
        bitbucket_cloud_user_credential:
          anyOf:
            - $ref: '#/components/schemas/BitbucketCloudUserCredential'
            - type: 'null'
        bitbucket_cloud_webhook:
          anyOf:
            - $ref: '#/components/schemas/BitbucketCloudWebhook'
            - type: 'null'
        bitbucket_dc_accessible_repositories_scraper:
          anyOf:
            - $ref: '#/components/schemas/BitbucketDcAccessibleRepositoriesScraper'
            - type: 'null'
        bitbucket_dc_credential:
          anyOf:
            - $ref: '#/components/schemas/BitbucketDcCredential'
            - type: 'null'
        bitbucket_dc_repositories:
          anyOf:
            - items:
                $ref: '#/components/schemas/BitbucketDcRepository'
              type: array
            - type: 'null'
          title: Bitbucket Dc Repositories
        bitbucket_dc_user_credential:
          anyOf:
            - $ref: '#/components/schemas/BitbucketDcUserCredential'
            - type: 'null'
        bitbucket_dc_webhook:
          anyOf:
            - $ref: '#/components/schemas/BitbucketDcWebhook'
            - type: 'null'
        github_accessible_repositories_scraper:
          anyOf:
            - $ref: '#/components/schemas/GithubAccessibleRepositoriesScraper'
            - type: 'null'
        github_credential:
          anyOf:
            - $ref: '#/components/schemas/GithubCredential'
            - type: 'null'
        github_helm_chart_releases:
          anyOf:
            - items:
                $ref: '#/components/schemas/GithubChartRelease'
              type: array
            - type: 'null'
          title: Github Helm Chart Releases
        github_repositories:
          anyOf:
            - items:
                $ref: '#/components/schemas/GithubRepository'
              type: array
            - type: 'null'
          title: Github Repositories
        github_user_credential:
          anyOf:
            - $ref: '#/components/schemas/GithubUserCredential'
            - type: 'null'
        global_github_helm_registry_repository:
          anyOf:
            - $ref: '#/components/schemas/GlobalGithubHelmRegistryRepository'
            - type: 'null'
        helm_chart:
          anyOf:
            - $ref: '#/components/schemas/Chart'
            - type: 'null'
        helm_http_registry:
          anyOf:
            - $ref: '#/components/schemas/HTTPRegistry'
            - type: 'null'
        helm_oci_registry:
          anyOf:
            - $ref: '#/components/schemas/OCIRegistry'
            - type: 'null'
        helm_registry_credential:
          anyOf:
            - $ref: '#/components/schemas/RegistryCredential'
            - type: 'null'
        proxmox_cluster:
          anyOf:
            - $ref: '#/components/schemas/ProxmoxCluster'
            - type: 'null'
        proxmox_credentials:
          anyOf:
            - items:
                $ref: '#/components/schemas/ProxmoxCredential'
              type: array
            - type: 'null'
          title: Proxmox Credentials
      title: PlatformResourceSpecification
      type: object
    ResourceError:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorItem'
          title: Errors
          type: array
        kind:
          title: Kind
          type: string
        name:
          title: Name
          type: string
      required:
        - name
        - kind
      title: ResourceError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    BitbucketCloudAccessibleRepositoriesScraper:
      properties:
        credential_name:
          title: Credential Name
          type: string
      required:
        - credential_name
      title: BitbucketCloudAccessibleRepositoriesScraper
      type: object
    BitbucketCloudCredential:
      properties:
        access_token:
          title: Access Token
          type: string
        account_login:
          title: Account Login
          type: string
        account_type:
          title: Account Type
          type: string
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        name:
          title: Name
          type: string
        refresh_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Refresh Token
      required:
        - name
        - access_token
        - account_type
        - account_login
      title: BitbucketCloudCredential
      type: object
    BitbucketCloudRepository:
      properties:
        credential_name:
          title: Credential Name
          type: string
        default_branch:
          title: Default Branch
          type: string
        git_url:
          title: Git Url
          type: string
        name:
          title: Name
          type: string
        private:
          title: Private
          type: boolean
        slug:
          title: Slug
          type: string
        web_url:
          title: Web Url
          type: string
        workspace:
          title: Workspace
          type: string
      required:
        - name
        - slug
        - workspace
        - default_branch
        - web_url
        - git_url
        - private
        - credential_name
      title: BitbucketCloudRepository
      type: object
    BitbucketCloudUserCredential:
      properties:
        access_token:
          title: Access Token
          type: string
        account_login:
          title: Account Login
          type: string
        account_type:
          title: Account Type
          type: string
        ankra_user_id:
          format: uuid4
          title: Ankra User Id
          type: string
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        name:
          title: Name
          type: string
        refresh_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Refresh Token
      required:
        - name
        - access_token
        - account_type
        - account_login
        - ankra_user_id
      title: BitbucketCloudUserCredential
      type: object
    BitbucketCloudWebhook:
      properties:
        credential_name:
          title: Credential Name
          type: string
        repo_slug:
          title: Repo Slug
          type: string
        workspace:
          title: Workspace
          type: string
      required:
        - workspace
        - repo_slug
        - credential_name
      title: BitbucketCloudWebhook
      type: object
    BitbucketDcAccessibleRepositoriesScraper:
      properties:
        credential_name:
          title: Credential Name
          type: string
        instance_url:
          title: Instance Url
          type: string
      required:
        - credential_name
        - instance_url
      title: BitbucketDcAccessibleRepositoriesScraper
      type: object
    BitbucketDcCredential:
      properties:
        access_token:
          title: Access Token
          type: string
        account_login:
          title: Account Login
          type: string
        auth_kind:
          title: Auth Kind
          type: string
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        instance_url:
          title: Instance Url
          type: string
        name:
          title: Name
          type: string
        refresh_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Refresh Token
      required:
        - name
        - access_token
        - auth_kind
        - account_login
        - instance_url
      title: BitbucketDcCredential
      type: object
    BitbucketDcRepository:
      properties:
        credential_name:
          title: Credential Name
          type: string
        default_branch:
          title: Default Branch
          type: string
        git_url:
          title: Git Url
          type: string
        instance_url:
          title: Instance Url
          type: string
        name:
          title: Name
          type: string
        private:
          title: Private
          type: boolean
        project_key:
          title: Project Key
          type: string
        slug:
          title: Slug
          type: string
        web_url:
          title: Web Url
          type: string
      required:
        - name
        - slug
        - project_key
        - instance_url
        - default_branch
        - web_url
        - git_url
        - private
        - credential_name
      title: BitbucketDcRepository
      type: object
    BitbucketDcUserCredential:
      properties:
        access_token:
          title: Access Token
          type: string
        account_login:
          title: Account Login
          type: string
        ankra_user_id:
          format: uuid4
          title: Ankra User Id
          type: string
        auth_kind:
          title: Auth Kind
          type: string
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        instance_url:
          title: Instance Url
          type: string
        name:
          title: Name
          type: string
        refresh_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Refresh Token
      required:
        - name
        - access_token
        - auth_kind
        - account_login
        - instance_url
        - ankra_user_id
      title: BitbucketDcUserCredential
      type: object
    BitbucketDcWebhook:
      properties:
        credential_name:
          title: Credential Name
          type: string
        instance_url:
          title: Instance Url
          type: string
        project_key:
          title: Project Key
          type: string
        repo_slug:
          title: Repo Slug
          type: string
      required:
        - project_key
        - repo_slug
        - instance_url
        - credential_name
      title: BitbucketDcWebhook
      type: object
    GithubAccessibleRepositoriesScraper:
      properties:
        credential_name:
          title: Credential Name
          type: string
      required:
        - credential_name
      title: GithubAccessibleRepositoriesScraper
      type: object
    GithubCredential:
      properties:
        access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Token
        account_login:
          title: Account Login
          type: string
        account_type:
          title: Account Type
          type: string
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        installation_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Installation Id
        name:
          title: Name
          type: string
        refresh_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Refresh Token
      required:
        - name
        - account_type
        - account_login
      title: GithubCredential
      type: object
    GithubChartRelease:
      properties:
        authors:
          items:
            type: string
          title: Authors
          type: array
        body:
          title: Body
          type: string
        chart_resource_id:
          format: uuid4
          title: Chart Resource Id
          type: string
        created_at:
          title: Created At
          type: string
        html_url:
          title: Html Url
          type: string
        prerelease:
          default: false
          title: Prerelease
          type: boolean
        release_id:
          title: Release Id
          type: string
        repository_name:
          title: Repository Name
          type: string
        repository_owner:
          title: Repository Owner
          type: string
        version:
          title: Version
          type: string
      required:
        - repository_owner
        - repository_name
        - version
        - html_url
        - body
        - created_at
        - release_id
        - authors
        - chart_resource_id
      title: GithubChartRelease
      type: object
    GithubRepository:
      properties:
        credential_name:
          title: Credential Name
          type: string
        default_branch:
          title: Default Branch
          type: string
        git_url:
          title: Git Url
          type: string
        name:
          title: Name
          type: string
        owner:
          title: Owner
          type: string
        private:
          title: Private
          type: boolean
        web_url:
          title: Web Url
          type: string
      required:
        - name
        - owner
        - default_branch
        - web_url
        - git_url
        - private
        - credential_name
      title: GithubRepository
      type: object
    GithubUserCredential:
      properties:
        access_token:
          title: Access Token
          type: string
        account_login:
          title: Account Login
          type: string
        account_type:
          title: Account Type
          type: string
        ankra_user_id:
          format: uuid4
          title: Ankra User Id
          type: string
        name:
          title: Name
          type: string
      required:
        - name
        - access_token
        - account_type
        - account_login
        - ankra_user_id
      title: GithubUserCredential
      type: object
    GlobalGithubHelmRegistryRepository:
      properties:
        branch:
          anyOf:
            - type: string
            - type: 'null'
          default: master
          title: Branch
        registry_directory_path:
          title: Registry Directory Path
          type: string
        repository_name:
          title: Repository Name
          type: string
        repository_owner:
          title: Repository Owner
          type: string
      required:
        - repository_owner
        - repository_name
        - registry_directory_path
      title: GlobalGithubHelmRegistryRepository
      type: object
    Chart:
      properties:
        github_release_scraper:
          anyOf:
            - $ref: '#/components/schemas/GithubRepositoryChartReleaseScraper'
            - type: 'null'
        name:
          title: Name
          type: string
        registry_name:
          title: Registry Name
          type: string
        registry_resource_kind:
          $ref: '#/components/schemas/HelmResourceKind'
        registry_url:
          title: Registry Url
          type: string
        versions:
          default: []
          items:
            $ref: '#/components/schemas/ChartVersion'
          title: Versions
          type: array
      required:
        - name
        - registry_name
        - registry_url
        - registry_resource_kind
      title: Chart
      type: object
    HTTPRegistry:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Credential Name
        delete_permanently:
          default: false
          title: Delete Permanently
          type: boolean
        exclude_charts:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: []
          title: Exclude Charts
        name:
          title: Name
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
        url:
          title: Url
          type: string
      required:
        - name
        - url
      title: HTTPRegistry
      type: object
    OCIRegistry:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Credential Name
        delete_permanently:
          default: false
          title: Delete Permanently
          type: boolean
        name:
          title: Name
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
        url:
          title: Url
          type: string
      required:
        - name
        - url
      title: OCIRegistry
      type: object
    RegistryCredential:
      properties:
        name:
          title: Name
          type: string
        password:
          title: Password
          type: string
        username:
          title: Username
          type: string
      required:
        - name
        - username
        - password
      title: RegistryCredential
      type: object
    ProxmoxCluster:
      properties:
        ankra_agent:
          anyOf:
            - $ref: '#/components/schemas/AnkraAgent'
            - type: 'null'
        cluster_name:
          title: Cluster Name
          type: string
        credential:
          title: Credential
          type: string
        network:
          $ref: '#/components/schemas/ProxmoxNetwork'
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
        vms:
          items:
            $ref: '#/components/schemas/ProxmoxVM'
          title: Vms
          type: array
      required:
        - cluster_name
        - organisation_id
        - vms
        - network
        - credential
      title: ProxmoxCluster
      type: object
    ProxmoxCredential:
      properties:
        bastion:
          additionalProperties: true
          default: {}
          title: Bastion
          type: object
        host:
          title: Host
          type: string
        name:
          title: Name
          type: string
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
        port:
          title: Port
          type: integer
        token_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Name
        token_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Value
        user:
          title: User
          type: string
      required:
        - name
        - host
        - port
        - user
      title: ProxmoxCredential
      type: object
    ErrorItem:
      properties:
        key:
          title: Key
          type: string
        message:
          title: Message
          type: string
      required:
        - key
        - message
      title: ErrorItem
      type: object
    GithubRepositoryChartReleaseScraper:
      properties:
        repository_name:
          title: Repository Name
          type: string
        repository_owner:
          title: Repository Owner
          type: string
      required:
        - repository_owner
        - repository_name
      title: GithubRepositoryChartReleaseScraper
      type: object
    HelmResourceKind:
      enum:
        - chart
        - chart_version
        - oci_registry
        - github_chart_release
        - github_repository_chart_release_scraper
        - http_registry
        - registry_credential
        - global_github_helm_registry_repository
      title: HelmResourceKind
      type: string
    ChartVersion:
      properties:
        app_version:
          anyOf:
            - type: string
            - type: 'null'
          title: App Version
        created:
          anyOf:
            - format: date-time
              type: string
            - type: string
            - type: 'null'
          title: Created
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        digest:
          title: Digest
          type: string
        home_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Home Url
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        is_deprecated:
          default: false
          title: Is Deprecated
          type: boolean
        keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Keywords
        maintainers:
          anyOf:
            - items:
                $ref: '#/components/schemas/Maintainer'
              type: array
            - type: 'null'
          title: Maintainers
        name:
          title: Name
          type: string
        package_url:
          title: Package Url
          type: string
        readme_s3_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Readme S3 Link
        registry_credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Credential Name
        registry_name:
          title: Registry Name
          type: string
        registry_url:
          title: Registry Url
          type: string
        sources:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Sources
        tgz_s3_link:
          title: Tgz S3 Link
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
        values_s3_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Values S3 Link
        values_schema_s3_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Values Schema S3 Link
        version:
          title: Version
          type: string
      required:
        - name
        - version
        - package_url
        - digest
        - registry_name
        - registry_url
        - tgz_s3_link
      title: ChartVersion
      type: object
    AnkraAgent:
      properties:
        url:
          title: Url
          type: string
        version:
          title: Version
          type: string
      required:
        - url
        - version
      title: AnkraAgent
      type: object
    ProxmoxNetwork:
      properties:
        cidr:
          title: Cidr
          type: string
        name:
          title: Name
          type: string
        vlan:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vlan
      required:
        - name
        - cidr
      title: ProxmoxNetwork
      type: object
    ProxmoxVM:
      properties:
        cpu:
          title: Cpu
          type: integer
        disk_gb:
          title: Disk Gb
          type: integer
        memory_mb:
          title: Memory Mb
          type: integer
        name:
          title: Name
          type: string
      required:
        - name
        - cpu
        - memory_mb
        - disk_gb
      title: ProxmoxVM
      type: object
    Maintainer:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      title: Maintainer
      type: object

````